summaryrefslogtreecommitdiffstats
path: root/third_party/rust/cubeb-coreaudio/run_device_tests.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
commit26a029d407be480d791972afb5975cf62c9360a6 (patch)
treef435a8308119effd964b339f76abb83a57c29483 /third_party/rust/cubeb-coreaudio/run_device_tests.sh
parentInitial commit. (diff)
downloadfirefox-26a029d407be480d791972afb5975cf62c9360a6.tar.xz
firefox-26a029d407be480d791972afb5975cf62c9360a6.zip
Adding upstream version 124.0.1.upstream/124.0.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/cubeb-coreaudio/run_device_tests.sh')
-rwxr-xr-xthird_party/rust/cubeb-coreaudio/run_device_tests.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/third_party/rust/cubeb-coreaudio/run_device_tests.sh b/third_party/rust/cubeb-coreaudio/run_device_tests.sh
new file mode 100755
index 0000000000..ae6df49713
--- /dev/null
+++ b/third_party/rust/cubeb-coreaudio/run_device_tests.sh
@@ -0,0 +1,43 @@
+set -e
+
+echo "\n\nRun device-changed tests\n===================="
+
+if [[ -z "${RUST_BACKTRACE}" ]]; then
+ # Display backtrace for debugging
+ export RUST_BACKTRACE=1
+fi
+echo "RUST_BACKTRACE is set to ${RUST_BACKTRACE}\n"
+
+cargo test test_switch_device -- --ignored --nocapture
+
+cargo test test_plug_and_unplug_device -- --ignored --nocapture
+
+cargo test test_register_device_changed_callback_to_check_default_device_changed_input -- --ignored --nocapture
+cargo test test_register_device_changed_callback_to_check_default_device_changed_output -- --ignored --nocapture
+cargo test test_register_device_changed_callback_to_check_default_device_changed_duplex -- --ignored --nocapture
+cargo test test_register_device_changed_callback_to_check_input_alive_changed_input -- --ignored --nocapture
+cargo test test_register_device_changed_callback_to_check_input_alive_changed_duplex -- --ignored --nocapture
+
+cargo test test_destroy_input_stream_after_unplugging_a_nondefault_input_device -- --ignored --nocapture
+cargo test test_suspend_input_stream_by_unplugging_a_nondefault_input_device -- --ignored --nocapture
+
+cargo test test_destroy_input_stream_after_unplugging_a_default_input_device -- --ignored --nocapture
+cargo test test_reinit_input_stream_by_unplugging_a_default_input_device -- --ignored --nocapture
+
+cargo test test_destroy_output_stream_after_unplugging_a_nondefault_output_device -- --ignored --nocapture
+cargo test test_suspend_output_stream_by_unplugging_a_nondefault_output_device -- --ignored --nocapture
+
+cargo test test_destroy_output_stream_after_unplugging_a_default_output_device -- --ignored --nocapture
+cargo test test_reinit_output_stream_by_unplugging_a_default_output_device -- --ignored --nocapture
+
+cargo test test_destroy_duplex_stream_after_unplugging_a_nondefault_input_device -- --ignored --nocapture
+cargo test test_suspend_duplex_stream_by_unplugging_a_nondefault_input_device -- --ignored --nocapture
+
+cargo test test_destroy_duplex_stream_after_unplugging_a_nondefault_output_device -- --ignored --nocapture
+cargo test test_suspend_duplex_stream_by_unplugging_a_nondefault_output_device -- --ignored --nocapture
+
+cargo test test_destroy_duplex_stream_after_unplugging_a_default_input_device -- --ignored --nocapture
+cargo test test_reinit_duplex_stream_by_unplugging_a_default_input_device -- --ignored --nocapture
+
+cargo test test_destroy_duplex_stream_after_unplugging_a_default_output_device -- --ignored --nocapture
+cargo test test_reinit_duplex_stream_by_unplugging_a_default_output_device -- --ignored --nocapture